WHATIS(1)

NUME
whatis - afișează descrierile de pagina de manual de singură linie

REZUMAT
whatis [-dlv?V] [-r|-w] [-s list] [-m system[,...]] [-M path] [-L locale] [-C file] name ...

DESCRIERE
Fiecare pagină de manual are o descriere scurtă disponibilă înăuntrul acesteia. whatis caută numele paginilor de manual și afișează descrierile paginii de manual al oricărui name potrivit. name poate să conțină metacaractere (-w) sau să fie o expresie regulată (-r). Utilizând aceste opțiuni, poate fi necesar să citați name sau să escapați (\) caracterele speciale pentru a stopa shell-ul din a le interpreta. Bazele de date index sunt utilizate în timpul căutării, și sunt actualizate de programul mandb. În funcție de instalare, aceasta poate fi rulată de o sarcină cronometrată periodică, sau poate fi rulată manual după ce paginile de manual noi au fost instalate. Pentru a produce un stil de text vechi, baza de date whatis de la baza de date relativă index, emite comanda: whatis -M manpath -w '*' | sort > manpath/whatis unde manpath este o ierarhie de pagină de manual precum /usr/man.

OPȚIUNI

-d, --debug
    Tipărește informațiile de depanare.

-v, --verbose
    Tipărește mesajele de avertisment detaliate.

-r, --regex
    Interpretează fiecare name ca o expresie regulată. Dacă un name se potrivește cu orice parte a unui nume de pagină, o potrivire va fi făcută. Această opțiune cauzează whatis să fie oarecum încet din cauza naturii căutărilor bazelor de date.

-w, --wildcard
    Interpretează fiecare name ca un model care conține metacaractere în stil shell. Pentru ca o potrivire să fie făcută, un name expandat trebuie să se potrivească cu numele paginii întregi. Această opțiune cauzează whatis să fie oarecum mai lent din cauza naturii căutărilor bazelor de date.

-l, --long
    Nu aranja ieșirea la lățimea terminalului. În mod normal, ieșirea va fi trunchiată la lățimea terminalului pentru a evita rezultatele urâte de la secțiuni NAME scrise greșit.

-s list, --sections=list, --section=list
    Caută doar secțiunile de manual date. list este o listă de secțiuni separată prin două puncte sau virgulă. Dacă o intrare în list este o secțiune simplă, de exemplu „3”, atunci lista afișată de descrieri vor include pagini în secțiunile „3” „3perl”, „3x”, și așa mai departe; în timp ce dacă o intrare în list are o extensie, de exemplu „3perl”, atunci lista va include doar paginile în exact acea parte a secțiunii manualului.

-m system[,...], --systems=system[,...]
    Dacă acest sistem are acces la alte nume de pagini de manual ale sistemului de operare, acestea pot fi accesate utilizând această opțiune. Pentru a căuta numele paginilor de manual ale NewOS, utilizați opțiunea -m NewOS. system specificat poate fi o combinație de nume de sisteme de operare separate prin virgule. Pentru a include o căutare pentru numele paginilor de manual ale sistemului de operare nativ, includeți numele sistemului man în șirul argumentului. Această opțiune va suprascrie variabila de mediu $SYSTEM.

-M path, --manpath=path
    Specifică un set alternativ de ierarhii de pagini de manual delimitate de virgule de căutat. În mod implicit, whatis utilizează variabila de mediu $MANPATH, decât dacă este goală sau nestabilită, în care caz aceasta va determina calea de manual potrivită bazată pe variabila de mediu $PATH. Această opțiune suprascrie conținutul al $MANPATH.

-L locale, --locale=locale
    whatis va determina în mod normal localizarea curentă printr-un apel la funcția C setlocale(3) care interoghează variabile de mediu variate, posibil incluzând $LC_MESSAGES și $LANG. Pentru a suprascrie temporar valoarea determinată, utilizați această opțiune pentru a furniza un șir locale direct la whatis. Observați că acest lucru nu va lua efect până când căutarea pentru pagini începe efectiv. Ieșirea precum mesajul de ajutor va fi totdeauna afișată în localizarea determinată inițial.

-C file, --config-file=file
    Utilizați acest fișier de configurare de utilizator decât implicitul ~/.manpath.

-?, --help
    Tipărește un mesaj de ajutor și ieși.

--usage
    Tipărește un mesaj de utilizare scurt și ieși.

-V, --version
    Afișează informațiile de versiune.

STARE DE IEȘIRE

0   Executare a programului cu succes.

1   Eroare de utilizare, sintaxă sau fișier de configurare.

2   Eroare operațională.

16  Nu s-a găsit nimic care să se potrivească cu criteriile specificate.

MEDIU

SYSTEM
    Dacă $SYSTEM este stabilit, aceasta va avea același efect ca și cum ar fi fost specificată ca argument la opțiunea -m.

MANPATH
    Dacă $MANPATH este stabilită, valoarea acesteia este interpretată ca ierarhia de pagină de manual de utilizat separată prin două puncte.

MANWIDTH
    Dacă $MANWIDTH este stabilită, valoarea acesteia este utilizată ca lățimea terminalului (consultați opțiunea --long). Dacă nu este stabilită, lățimea terminalului va fi calculată utilizând valoarea a $COLUMNS, și ioctl(2) dacă este disponibilă, sau se revine la 80 de caractere dacă orice altceva eșuează.

FIȘIERE

/usr/share/man/index.(bt|db|dir|pag)
    Un cache de bază de date index global tradițional.

/var/cache/man/index.(bt|db|dir|pag)
    Un cache de bază de dată index global conform cu FHS.

/usr/share/man/.../whatis
    O bază de date text whatis tradițională.

VEDEȚI ȘI
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

DEFECȚIUNI
https://savannah.nongnu.org/bugs/?group=man-db